package com.ruoyi.advertiser.constant;

/**
 * mcu签名参数对应的固定长度
 * @author zzw
 * @date 2021年9月1日
 * @Description:
 */
public interface McuSignatureConstant {

    /**  未签名的标识 */
    byte  NO_SIGNATURE = 0x00;

    /**  已签名的标识 */
    byte  YES_SIGNATURE = 0x01;

    /**  是否签名的数据位置下标，对应字节数组下标为54 */
    int  IS_SIGNATURE_INDEX = 0x36;

    /**  签名数据的长度位置下标，对应字节数组下标为57 */
    int  SIGNATURE_LENGTH_INDEX = 0x39;

    /**  签名数据的开始位置下标，对应字节数组下标为58 */
    int  SIGNATURE_DATA_INDEX = 0x3a;

}
