package com.ruoyi.advertiser.controller;

import com.ruoyi.advertiser.domain.AdHeartbeatData;
import com.ruoyi.advertiser.domain.vo.AdHeartbeatDataVo;
import com.ruoyi.advertiser.service.IAdHeartbeatDataService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 拉手心跳数据Controller
 *
 * @author zhangzhanwei
 * @date 2021-12-16
 */
@RestController
@RequestMapping("/mcu/heartbeat_data")
public class AdHeartbeatDataController extends BaseController
{
    @Autowired
    private IAdHeartbeatDataService adHeartbeatDataService;

    /**
     * 查询拉手心跳数据列表
     */
    @GetMapping("/list")
    public TableDataInfo list(AdHeartbeatData adHeartbeatData)
    {
        startPage();
        List<AdHeartbeatData> list = adHeartbeatDataService.selectAdHeartbeatDataList(adHeartbeatData);
        return getDataTable(list);
    }

    /**
     * 查询拉手心跳数据列表
     */
    @GetMapping("/listByHandle")
    public TableDataInfo listByHandle(AdHeartbeatData adHeartbeatData)
    {
        startPage();
        List<AdHeartbeatData> list = adHeartbeatDataService.selectAdHeartbeatDataInfoList(adHeartbeatData);
        return getDataTable(list);
    }

    /**
     * 查询拉手心跳数据列表
     */
    @GetMapping("/listByImei")
    public TableDataInfo listByImei(AdHeartbeatData adHeartbeatData)
    {
        startPage();
        List<AdHeartbeatData> list = adHeartbeatDataService.selectAdHeartbeatDataList(adHeartbeatData);
        List<AdHeartbeatDataVo> list2 = list.stream().map(p->{
            AdHeartbeatDataVo obj = new AdHeartbeatDataVo();
            BeanUtils.copyProperties(p,obj);
            return obj;
        }).collect(Collectors.toList());
        return getDataTable(list2);
    }

    /**
     * 获取拉手心跳数据详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return AjaxResult.success(adHeartbeatDataService.selectAdHeartbeatDataById(id));
    }

    /**
     * 新增拉手心跳数据
     */
    @PostMapping
    public AjaxResult add(@RequestBody AdHeartbeatData adHeartbeatData)
    {
        return toAjax(adHeartbeatDataService.insertAdHeartbeatData(adHeartbeatData));
    }

    /**
     * 修改拉手心跳数据
     */
    @PutMapping
    public AjaxResult edit(@RequestBody AdHeartbeatData adHeartbeatData)
    {
        return toAjax(adHeartbeatDataService.updateAdHeartbeatData(adHeartbeatData));
    }

    /**
     * 删除拉手心跳数据
     */
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(adHeartbeatDataService.deleteAdHeartbeatDataByIds(ids));
    }
}
