package com.ruoyi.advertiser.controller;

import com.ruoyi.advertiser.domain.req.CarouselPlanParamReq;
import com.ruoyi.advertiser.service.ICarouselPlanService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.lang.reflect.Field;

/**
 * 广告轮播计划 Controller
 *
 * @author zhangzhanwei
 * @date 2021-09-24
 */
@RestController
@RequestMapping("/advertising/plan")
@Api(tags = "轮播计划接口详情")
public class CarouselPlanController extends BaseController {

    @Resource
    private ICarouselPlanService adCarouselPlanService;

    /**
     * 查询广告轮播计划 精确到列车
     */
    @ApiOperation(value = "查询广告轮播计划")
    @GetMapping("/planInfo")
    public AjaxResult planInfo(@Validated CarouselPlanParamReq carouselPlanParamVo) {
        return adCarouselPlanService.selectAdCarouselPlanByAdCarouselPlanParamVo(carouselPlanParamVo);
    }

    @GetMapping("/pushRedis")
    private AjaxResult pushRedis(){
        return adCarouselPlanService.pushRedis();
    }
}
