package com.ruoyi.advertiser.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 固件升级 对象 ad_firmware_upgrade
 * 
 * @author caiweigan
 * @date 2022-02-07
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class AdFirmwareUpgrade extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 升级id
     */
    private Long upgradeId;

    /**
     * 主版本号
     */
    @Excel(name = "主版本号")
    private Integer majorVersion;

    /**
     * 子版本号
     */
    @Excel(name = "子版本号")
    private Integer subVersion;

    /**
     * 硬件版本
     */
    @Excel(name = "硬件版本")
    private Integer hardwareVersion;

    /**
     * 屏幕类型 1元太屏 2日本屏幕
     */
    private String screenType;

    /**
     * 附件
     */
    @Excel(name = "附件")
    private String attachment;

    /**
     * 发布状态（0未发布 1已发布）
     */
    @Excel(name = "发布状态")
    private String publishStatus;

    /**
     * 发布类型（0自动发布 1手动发布）
     */
    @Excel(name = "发布类型")
    private String publishType;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发布时间", width = 30)
    private Date publishTime;

}
