package com.ruoyi.advertiser.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 把手 对象 ad_handle
 *
 * @author zhangzhanwei
 * @date 2021-09-13
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class AdHandle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 编号 */
    @Excel(name = "编号")
    private String num;

    /** IMEI */
    @Excel(name = "IMEI")
    private String imei;

    private String iccid;

    /** 屏幕类型 */
    @Excel(name = "屏幕类型", readConverterExp = "1=元太屏,2=日本屏幕", combo = "元太屏,日本屏幕")
    private String screenType;

    /** 屏幕尺寸 */
    @Excel(name = "屏幕尺寸", readConverterExp = "0=5.8寸7彩屏,1=6寸多彩屏", combo = "5.8寸7彩屏,6寸多彩屏")
    private String screenSize;

    /** 分辨率 */
    @Excel(name = "分辨率")
    private String resolution;

    /** 硬件版本 */
    @Excel(name = "硬件版本")
    private Integer hardwareVersion;

    /** 软件版本 */
    @Excel(name = "软件版本")
    private Integer softwareVersion;

    /** 在线状态 */
    private String onlineStatus;

    /** 芯片id */
    private String seId;


    /************************ 关联关系 ************************/

    /** 线路id */
    private Long lineId;

    /** 列车id */
    private Long subwayId;

    /** 车厢id */
    private Long carId;

    /** 把手在车厢中的序号 */
    private Integer handleSerialNum;

    /** 把手在车厢中的位置 */
    private String handlePosition;

    /** 电池Aid */
    private Long batteryAId;

    /** 电池Bid */
    private Long batteryBId;

    /** 4G卡id（当把手包含网关模块时，该字段有值） */
    private Long simCardId;

    /************************ 冗余字段：避免关联查询时连接多张表 ************************/

    /** 线路编号 */
    private String lineNum;

    /** 列车编号 */
    private String subwayNum;

    /** 车厢编号 */
    private Integer carNum;

    /** 电池A编号 */
    private String batteryANum;

    /** 电池B编号 */
    private String batteryBNum;

    /** 4G卡号（当把手包含网关模块时，该字段有值） */
    private String simCardSim;
}
