package com.ruoyi.advertiser.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 拉手心跳数据对象 ad_heartbeat_data
 *
 * @author zhangzhanwei
 * @date 2021-12-16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AdHeartbeatData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 列车id */
    private Long subwayId;

    /** 车厢id */
    private Long carId;

    /** 在线状态 */
    private String onlineStatus;

    /** 拉手IMEI */
    @Excel(name = "拉手IMEI")
    private String imei;

    /** 通信状态 */
    @Excel(name = "通信状态")
    private Integer status;

    /** 信号0-40之间 99代表无信号 */
    @Excel(name = "信号0-40之间 99代表无信号")
    private Integer csq;

    /** pci物理小区标识 */
    @Excel(name = "pci物理小区标识")
    private Integer pci;

    /** ICCID */
    @Excel(name = "ICCID")
    private String iccid;

    /** 硬件版本 */
    @Excel(name = "硬件版本")
    private Integer hw;

    /** 软件版本 */
    @Excel(name = "软件版本")
    private Integer sw;

    /** 心跳周期 */
    @Excel(name = "心跳周期")
    private Integer hbiTime;

    /** 电池电量 */
    @Excel(name = "电池电量")
    private Integer powerVol;

    /** 位置信息 */
    @Excel(name = "位置信息")
    private String devLocation;

    /** 错误标识码 */
    @Excel(name = "错误标识码")
    private Integer errorCode;

    /** 图片刷新周期 */
    @Excel(name = "图片刷新周期")
    private Integer displayTime;

    /** 回复的图片数据和次数*/
    private String imageRep;

    /** LORA频点 */
    @Excel(name = "LORA频点")
    private Integer loraFrq;

    /** 剩余内存 */
    @Excel(name = "剩余内存")
    private Integer residueSize;

    /** 设备时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "设备时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date localTime;

    /** 开机时间 */
    @Excel(name = "开机时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String openDvTime;

}
