package com.ruoyi.advertiser.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 广告轮播计划 对象 ad_carousel_plan
 *
 * @author zhangzhanwei
 * @date 2021-09-22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CarouselPlan extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 线路id
     */
    @Excel(name = "线路id")
    private Long lineId;

    /**
     * 列车id
     */
    @Excel(name = "列车id")
    private Long subwayId;

    /**
     * 投放开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投放开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date advertiseStartDate;

    /**
     * 投放结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投放结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date advertiseEndDate;

    /**
     * 早高峰图片id组
     */
    @Excel(name = "早高峰图片id组")
    private String morningPeakMaterialIds;

    /**
     * 晚高峰图片id组
     */
    @Excel(name = "晚高峰图片id组")
    private String eveningPeakMaterialIds;

    /**
     * 非高峰图片id组
     */
    @Excel(name = "非高峰图片id组")
    private String normalTimeMaterialIds;

    /**
     * 轮播类型
     */
    @Excel(name = "轮播类型")
    private Integer carouselType;

    /**
     * 地铁线路 对象
     */
//    private AdSubwayLineDto subwayLineDto;

}
