package com.ruoyi.advertiser.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 获取轮播计划的参数vo数据模型
 *
 * @author zhangzhanwei
 * @date 2021-09-16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CarouselPlanParamReq {
    /**
     * 投放开始时间
     */
    @NotNull(message = "投放开始时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date advertiseStartDate;

    /**
     * 投放结束时间
     */
    @NotNull(message = "投放结束时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date advertiseEndDate;
}
