package com.ruoyi.advertiser.domain.vo;

import cn.hutool.core.convert.Convert;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author wzsdch_p751
 * @date 2022/07/29 09:14
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AdHeartbeatDataVo {
    /** 主键id */
    private Long id;

    /** 列车id */
    private Long subwayId;

    /** 车厢id */
    private Long carId;

    /** 拉手IMEI */
    private String imei;

    /** 通信状态 */
    private Integer status;

    /** 信号0-40之间 99代表无信号 */
    private Integer csq;

    /** pci物理小区标识 */
    private Integer pci;

    /** ICCID */
    private String iccid;

    /** 硬件版本 */
    private Integer hw;

    /** 软件版本 */
    private Integer sw;

    /** 心跳周期 */
    private Integer hbiTime;

    /** 电池电量 */
    private Integer powerVol;

    /** 位置信息 */
    private String devLocation;

    /** 错误标识码 */
    private Integer errorCode;

    @Setter(AccessLevel.NONE)
    private String errorString;

    /** 图片刷新周期 */
    private Integer displayTime;

    /** LORA频点 */
    private Integer loraFrq;

    /** 剩余内存 */
    private Integer residueSize;

    /** 回复的图片数据和次数*/
    private String imageRep;

    /** 设备时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date localTime;

    /** 开机时间 */
    private String openDvTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public String getErrorString() {
//        1、SD 卡异常，bit0 置 1 时产生此异常。
//        2、墨水屏异常，bit1 置 1 时产生此异常。
//        3、电池电量过低异常，bit2 置 1 时产生此异常。
//        4、加密 IC 异常，bit3 置 1 时产生此异常。
//        5、NFC 芯片异常，bit4 置 1 时产生此异常。
//        6、Bit5~bit15 预留。
        byte b = Convert.toByte(errorCode);
        errorString="";
        if((b&1)!=0){
            errorString+="1、SD 卡异常，";
        }
        if((b&2)!=0){
            errorString+="2、墨水屏异常，";
        }
        if((b&4)!=0){
            errorString+="3、电池电量过低异常，";
        }
        if((b&8)!=0){
            errorString+="4、加密 IC 异常，";
        }
        if((b&16)!=0){
            errorString+="5、NFC 芯片异常，";
        }
        if(errorString.length()!=0){
            errorString=errorString.substring(0,errorString.length()-1);
        }
        return errorString;


    }
}
