package com.ruoyi.advertiser.enums;

import lombok.Getter;

/**
 * 广告素材状态
 * @author zhangzhanwei
 * @date: 2021-09-13
 */
@Getter
public enum MaterialStatusEnum {
	WAIT_SUBMIT("0", "待签名"),
	REVIEWING("1", "审核中"),
	PASS("2", "通过"),
	REJECT("3", "被驳回");

	private final String code;
	private final String desc;

	MaterialStatusEnum(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	public static String findDescByCode(String code){
		MaterialStatusEnum[] statusEnums = MaterialStatusEnum.values();
		for (MaterialStatusEnum statusEnum: statusEnums) {
			if (statusEnum.getCode().equals(code)){
				return statusEnum.getDesc();
			}
		}

		return null;
	}
}
