package com.ruoyi.advertiser.mapper;

import com.ruoyi.advertiser.domain.AdHeartbeatData;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 拉手心跳数据Mapper接口
 *
 * @author zhangzhanwei
 * @date 2021-12-16
 */
public interface AdHeartbeatDataMapper
{
    /**
     * 查询拉手心跳数据
     *
     * @param id 拉手心跳数据主键
     * @return 拉手心跳数据
     */
    public AdHeartbeatData selectAdHeartbeatDataById(Long id);

    /**
     * 查询拉手心跳数据列表
     *
     * @param adHeartbeatData 拉手心跳数据
     * @return 拉手心跳数据集合
     */
    public List<AdHeartbeatData> selectAdHeartbeatDataList(AdHeartbeatData adHeartbeatData);

    List<AdHeartbeatData> selectAdHeartbeatDataInfoList(AdHeartbeatData adHeartbeatData);

    /**
     * 新增拉手心跳数据
     *
     * @param adHeartbeatData 拉手心跳数据
     * @return 结果
     */
    public int insertAdHeartbeatData(AdHeartbeatData adHeartbeatData);

    /**
     * 修改拉手心跳数据
     *
     * @param adHeartbeatData 拉手心跳数据
     * @return 结果
     */
    public int updateAdHeartbeatData(AdHeartbeatData adHeartbeatData);

    /**
     * 删除拉手心跳数据
     *
     * @param id 拉手心跳数据主键
     * @return 结果
     */
    public int deleteAdHeartbeatDataById(Long id);

    /**
     * 批量删除拉手心跳数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdHeartbeatDataByIds(Long[] ids);

    List<AdHeartbeatData> selectHandlerLocationBySubwayId(@Param("params") Map<String,Object> params);


    AdHeartbeatData selectAdHeartbeatDataByImei(String imei);
}
