package com.ruoyi.advertiser.service;

import com.ruoyi.advertiser.domain.CarouselPlan;
import com.ruoyi.advertiser.domain.dto.CarouselPlanDayDto;
import com.ruoyi.advertiser.domain.dto.CarouselPlanDto;
import com.ruoyi.advertiser.domain.dto.CarouselPlanRedisDto;
import com.ruoyi.advertiser.domain.req.CarouselPlanParamReq;
import com.ruoyi.common.core.domain.AjaxResult;

import java.util.Date;

/**
 * 广告轮播计划 Service接口
 *
 * @author zhangzhanwei
 * @date 2021-09-24
 */
public interface ICarouselPlanService
{
    /**
     * 查询广告轮播计划 精确到列车
     *
     * @param carouselPlanParamVo
     * @return AjaxResult
     */
    AjaxResult selectAdCarouselPlanByAdCarouselPlanParamVo(CarouselPlanParamReq carouselPlanParamVo);

    AjaxResult pushRedis();

    /**
     * 说明：获取整日的图片轮播数据
     * @param adCarouselPlanDto
     * @return AdCarouselPlanDayDto
     */
    public CarouselPlanDayDto getDayCarouselPlanData(CarouselPlanDto adCarouselPlanDto, Long subwayId, Date day);

    /**
     * 根据拉手的imei和开始结束时间查询轮播计划
     * @param imei 拉手imei
     * @param beginOfWeek 周开始时间
     * @param endOfWeek 周结束时间
     * @return
     */
    CarouselPlan selectAdCarouselPlanByImei(String imei, Date beginOfWeek, Date endOfWeek);

    /**
     * 说明：获取redis里存储的当前列车轮播计划
     * @param key 列车id
     * @return
     */
    CarouselPlanRedisDto getCarouselPlanCache(String key);
}
