package com.ruoyi.advertiser.service;

import com.ruoyi.advertiser.domain.Material;
import com.ruoyi.common.core.domain.AjaxResult;

import java.util.List;

/**
 * 广告素材 Service接口
 *
 * @author zhangzhanwei
 * @date 2021-09-13
 */
public interface IMaterialService {

    /**
     * 查询广告素材 列表
     *
     * @param material 广告素材
     * @return 广告素材 集合
     */
    List<Material> selectMaterialList(Material material);

    /**
     * 新增广告素材
     *
     * @param material 广告素材
     * @return 结果
     */
    int insertMaterial(Material material);

    /**
     * 查询广告素材
     *
     * @param id 广告素材 ID
     * @return 广告素材
     */
    Material selectMaterialById(Long id);

    /**
     * 修改广告素材
     *
     * @param material 广告素材
     * @return 结果
     */
    int updateMaterial(Material material);

    /**
     * 批量删除广告素材
     *
     * @param ids 需要删除的广告素材 ID
     * @return 结果
     */
    int deleteMaterialByIds(Long[] ids);

    /**
     * 通过广告素材
     * @param material
     * @return
     */
    AjaxResult passMaterial(Material material);

}
