package com.ruoyi.mcu.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * @author zzw
 * @date 2021/6/17
 * @Description: 配置协议端口等信息
 */
@Data
@Configuration
@Component
@ConfigurationProperties(prefix = "mcu.socket")
public class McuSocketConfig {
    /**
     * 端口
     */
    private int socketPort = 8081;

    /**
     * 缓冲区大小
     */
    private int bufferSize = 4096;

    /**
     * 处理收发数据的线程数,默认为2
     */
    private int dealThreadQuantity=2;
}
