package com.ruoyi.mcu.constant;

/**
 * mcu心跳包标签
 * @author zzw
 * @date 2021/6/8
 * @Description: 标签类型
 */
public interface McuBeatPackTagConstant {
    /**  信号强度 */
    byte TAG_DEV_MODLE_CSQ = 0x01;
    /**  pci 物理小区标识 */
    byte TAG_DEV_MODLE_PCI = 0x02;
    /**  ICCID */
    byte TAG_DEV_MODLE_ICCID = 0x03;
    /**  硬件版本 */
    byte TAG_DEV_HW_REV = 0x04;
    /**  软件版本 */
    byte TAG_DEV_SW_REV = 0x05;
    /**  心跳周期 */
    byte TAG_DEV_HBI = 0x06;
    /**  电池电量 */
    byte TAG_DEV_BATTERY_LEV = 0x07;
    /**  定位位置，数据长度不确定 */
    byte TAG_DEV_LBS = 0x08;
    /**  请求发送心跳包 */
    byte TAG_DEV_RESP_HBI = 0x09;
    /**  发送通讯设备错误码 */
    byte TAG_DEV_ERROR_CODE = 0x0A;
    /**  图片刷新周期 */
    byte TAG_DEV_DISIMAGE_CYCLE = 0x0B;
    /**  LORA 频点 */
    byte TAG_DEV_LORA_FRQ = 0x0C;
    /**  存储介质容量信息 */
    byte TAG_DEV_DISKIO_SIZE = 0x0D;
    /**  存储图片信息，服务器下行 */
    byte TAG_DEV_SERVER_IMAGE_INFO = 0x0E;
    /**  图片显示信息，设备上行 */
    byte TAG_DEV_LOCAL_IMAGE_INFO = 0x0F;
    /**  UTC 时间戳 */
    byte TAG_DEV_LOCAL_TIMESTAMP = 0x10;
    /**  设备每天开机时间
     BCD（时、分、秒）-BCD（时、
     分、秒）如：063020230000
     表示 6:30:20-23:00:00 */
    byte TAG_DEV_OPEN_DEVTIME = 0x11;
    /**  图片播放列表 */
    byte TAG_DEV_IMAGE_LIST = 0x12;
    /** 下载升级文件请求 */
    byte TAG_DEV_UPGRADE_REQ = 0x17;
    /** 下载升级文件传输 */
    byte TAG_DEV_UPGRADE_TRANSFER = 0x18;
    /** 固件升级状态 */
    byte FIRMWARE_UPGRADE_STATUS_TAG = 0x19;
    /**  下载图片文件请求 */
    byte TAG_DEV_IMAGE_DOWN_RESP = 0x20;
    /**  下载图片文件传输 */
    byte TAG_DEV_IMAGE_DOWN_DATA = 0x21;
    /**  下载图片文件状态 */
    byte TAG_DEV_IMAGE_DOWN_OVER = 0x22;
    /**  SE 芯片激活 上行 */
    byte TAG_DEV_SE_ACTIVATION_UP = 0x30;
    /**  SE 芯片激活 下行 */
    byte TAG_DEV_SE_ACTIVATION_DOWN = 0x33;
    /**  设备上行请求 SM4 密钥分配 */
    byte TAG_DEV_SE_UP = 0x31;
    /**  服务器下行回复 SM4 密钥分配 */
    byte TAG_DEV_SE_DOWN = 0x32;
}
