package com.ruoyi.mcu.domain;

import cn.hutool.core.convert.Convert;
import com.ruoyi.mcu.util.DataTransitionUtil;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author zzw
 * @date 2021/6/8
 * @Description: 心跳包对象
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class AdHeartBeatPackage {
    /**
     * 包头
     */
    private byte packageHead ;
    /**
     * 设备编码
     */
    private int[] IMEI;
    /**
     * 协议版本
     */
    private int protocolVersion;
    /**
     * 设备类型
     */
    private int[] equipmentType;
    /**
     * 包序号
     */
    private int packageSeq;
    /**
     * 标识
     */
    private byte identification;
    /**
     * 包类型
     * 1)	上行心跳包0x01。
     * 2)	下行心跳应答包0x02。
     * 3)	下行设置包0x03。
     * 4)	升级包0x04。
     * 5)	图片文件传输包0x05
     */
    private byte packageType;
    /**
     * 标签数量
     */
    private Integer labelNum;
    /**
     * 消息体总长度
     */
    private Integer msgLength;
    /**
     * 消息体
     */
    private AdMessageBody deviceInfo;
    /**
     * 消息体数组
     */
    private int[] packetData;

    /**
     * CRC16
     */
    private Long crc16;
    /**
     * 包尾
     */
    private byte packageTail;


    public String getImeiStr(){
        return Convert.toHex(DataTransitionUtil.intsToBytes(IMEI)).substring(1);
    }
}
