package com.ruoyi.mcu.domain;

import com.ruoyi.setsm.domain.SeActivating;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author zzw
 * @date 2021/6/7
 * @Description: 消息体对象
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class AdMessageBody {
    /** 信号质量 长度1，0-40,   99无信号 标签索引01 */
    private Integer csq;
    /** 长度2	-32768-32767	pci物理小区标识 标签索引02 */
    private Integer pci;
    /** 长度10 	BCD	iccId 标签索引03 */
    private String iccid;
    /** 硬件版本 长度1 标签索引04 */
    private int hw;
    /** 软件版本 长度1 标签索引05 */
    private int sw;
    /** 心跳周期 长度2	0-65535 分钟 标签索引06 */
    private int hbiTime;
    /** 电池电量 长度1	0-100	电池电量 标签索引07 */
    private int powerVol;
    /** 错误码标识 长度2 错误码	发送通讯设备错误码 */
    private int errorCode;
    /** 图片刷新周期 长度2   0-65535 分钟 */
    private int displayTime;
    /** LORA频点 长度4 410000000-930000000 */
    private int loraFrq;
    /** 总容量 */
    private int diskIoTotalSize;
    /** 使用容量 */
    private int diskIoUserSize;
    /** 图片总数 */
    private int imageNums;
    /** 图片回传标号 */
    private int[] imageRepIndex;
    /** 图片显示次数 */
    private int[] imageRepDispTime;
    /** 升级固件包的起始下标 */
    private int firmwareIndex;
    /** 请求下载的升级固件包的长度 */
    private int firmwareLength;
    /* 固件升级状态 */
    private int firewareStatus = -1;
    /** 图片文件的索引 */
    private int imageIndex;
    /** 请求下载图片数据的位置 */
    private int imageSpace;
    /** 读取文件的长度 */
    private int imageLen;
    /** 图片传输状态 0成功 1失败 */
    private int imageStatus = -1;
    /** 设备时间 */
    private long localTime;
    /** 位置信息 */
    private String devLocation;
    /** 开始时间 */
    private byte[] openDvTime;
    /** 结束时间 */
    private byte[] stopDvTime;
    /** 拉手激活数据 */
    private byte seActivatingTag;
    /** sm4秘钥 */
    private String sm4SecretKey;
    /** 拉手激活数据 */
    private SeActivating seActivating;
}
