package com.ruoyi.mcu.util;

/**
 * 数据转换工具类
 * @author zzw
 * @date 2021/6/7
 * @Description: 主要处理各种数据转换格式，转换类型
 */
public class DataTransitionUtil {


    /**
     * int数组转为byte数组
     * @param data 待转化的数据
     * @return 转换后的byte数组
     */
    public static byte[] intsToBytes(int[] data){
        byte[] dataByte = new byte[data.length];
        for (int i = 0; i < data.length; i++) {
            dataByte[i] = (byte) data[i];
        }
        return dataByte;
    }

    /**
     * byte数组转为int数组
     * @param data 待转化的数据
     * @return 转换后的int数组
     */
    public static int[] bytesToInts(byte[] data){
        int[] dataInt = new int[data.length];
        for (int i = 0; i < data.length; i++) {
            dataInt[i] = data[i];
            if (dataInt[i] < 0){
                dataInt[i] += 256;
            }
        }
        return dataInt;
    }


    /**
     * Long[]转Integer[]
     * @param value
     * @return
     */
    public static Integer[] longsToIntegers(Long[] value){
        Integer[] data = new Integer[value.length];
        for (int i = 0; i < value.length; i++) {
            data[i] = value[i].intValue();
        }
        return data;
    }

}
