package com.ruoyi.setsm.exception;

/**
 * @author wzsdch_p751
 * @date 2022/07/15 12:56
 **/
public class McuServiceException extends RuntimeException{
    private static final long serialVersionUID = 1L;

    /**
     * 错误码
     */
    private Integer code;

    /**
     * 错误提示
     */
    private String message;

    /**
     * 错误明细，内部调试错误
     *
     * 和 {@link CommonResult#getDetailMessage()} 一致的设计
     */
    private String detailMessage;

    /**
     * 空构造方法，避免反序列化问题
     */
    public McuServiceException()
    {
    }

    public McuServiceException(String message)
    {
        this.message = message;
    }

    public McuServiceException(String message, Integer code)
    {
        this.message = message;
        this.code = code;
    }

    public String getDetailMessage()
    {
        return detailMessage;
    }

    @Override
    public String getMessage()
    {
        return message;
    }

    public Integer getCode()
    {
        return code;
    }

    public McuServiceException setMessage(String message)
    {
        this.message = message;
        return this;
    }

    public McuServiceException setDetailMessage(String detailMessage)
    {
        this.detailMessage = detailMessage;
        return this;
    }
}
