package com.ruoyi.setsm.util;

import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.asymmetric.Sign;
import cn.hutool.crypto.asymmetric.SignAlgorithm;

/**
 *  se签名验签工具类
 * @author zzw
 * @date 2021/8/12
 * @Description: se签名验签工具类
 */
public class SignatureUtil {

    /**
     * 签名
     * @param data
     * @param privateKey
     * @return
     */
    public static byte[] sign(byte[] data, String privateKey){
        //参数一：签名算法 参数二：私钥 参数三：公钥
        Sign sign = SecureUtil.sign(SignAlgorithm.SHA256withRSA,privateKey,null);
        //签名
        return sign.sign(data);
    }

    /**
     * 验签
     * @param data
     * @param signature
     * @param sePubKey
     * @return
     */
    public static boolean verify(byte[] data, byte[] signature , String sePubKey){
        //参数一：签名算法 参数二：私钥 参数三：公钥
        Sign signVerify = SecureUtil.sign(SignAlgorithm.SHA256withRSA,null,sePubKey);
        //验签 参数一：数据 参数二：签名数据
        return signVerify.verify(data, signature);
    }
}
