import request from '@/utils/request'

// 查询广告素材 列表
export function listMaterial(query) {
  return request({
    url: '/advertising/material/list',
    method: 'get',
    params: query
  })
}

// 查询广告素材 详细
export function getMaterial(id) {
  return request({
    url: '/advertising/material/' + id,
    method: 'get'
  })
}

// 新增广告素材
export function addMaterial(data) {
  return request({
    url: '/advertising/material',
    method: 'post',
    data: data
  })
}

// 修改广告素材
export function updateMaterial(data) {
  return request({
    url: '/advertising/material',
    method: 'put',
    data: data
  })
}

// 删除广告素材
export function delMaterial(id) {
  return request({
    url: '/advertising/material/' + id,
    method: 'delete'
  })
}

// 通过广告素材
export function passMaterial(data) {
  return request({
    url: '/advertising/material/pass',
    method: 'put',
    data: data
  })
}
